#ifndef AUTOTESTS_WINDOWS_STUB_NOTIFICATION_WINDOW_H
#define AUTOTESTS_WINDOWS_STUB_NOTIFICATION_WINDOW_H

#include "notification-group-model.h"
#include "shared-engine-view.h"

namespace UkuiNotification {

class NotificationCenterWindow : public UkuiQuick::SharedEngineView
{
public:
    explicit NotificationCenterWindow(QWindow *parent = nullptr);

    static NotificationGroupModel *globalGroupModel();

    void init();
    void activeNotificationCenter(bool active);
    bool lastActive() const;
    bool inited() const;
    bool isVisible() const;

private:
    bool m_lastActive = false;
    bool m_inited = false;
};

} // namespace UkuiNotification

#endif
